Voiceflow bearer token
Move tool
curl --request POST \
--url https://realtime-api.voiceflow.com/v1/stable/tool/<toolID>/move \
--header 'Authorization: Bearer <token>'
--header 'Content-Type: application/json' \
--data '{
"type": "api",
"target": {
"global": true,
"playbookID": "<string>"
}
}'const response = await fetch('https://realtime-api.voiceflow.com/v1/stable/tool/<toolID>/move?projectID=<projectID>&environmentAlias=<environmentAlias>', {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"type": "api",
"target": {
"global": true,
"playbookID": "<string>"
}
}),
});
const data = await response.json();import requests
response = requests.post(
'https://realtime-api.voiceflow.com/v1/stable/tool/<toolID>/move?projectID=<projectID>&environmentAlias=<environmentAlias>',
headers={'Authorization': 'Bearer <token>'},
json={
"type": "api",
"target": {
"global": True,
"playbookID": "<string>"
}
},
)
data = response.json()vf tool move --tool-id <toolID> --project-id <projectID> --environment-alias <environmentAlias> \
< body.json{
"tool": {
"id": "<string>",
"createdAt": "2026-09-10T00:00:00.000Z",
"updatedAt": "2026-09-10T00:00:00.000Z",
"messages": "<StableToolMessages>",
"toolSound": "<ToolNodeDataToolSound>",
"description": "<string>",
"captureInputVariables": {},
"type": "api",
"apiToolID": "<string>",
"asyncExecution": true,
"inputVariables": {},
"captureResponse": {}
}
}Move a tool attachment to the agent or to a playbook. It keeps its ID, its fields and its messages.
Paste in your agent
1. Set up Voiceflow by following https://www.voiceflow.com/agents/setup 2. Read https://www.voiceflow.com/docs/api-reference/tool/move-tool.md — the Voiceflow documentation page "Move tool". Use it to help me with this part of Voiceflow and answer my questions. Refer to https://www.voiceflow.com/docs/llms.txt if you need related documentation.
Prompt copied. Paste in your agent.
POST
/v1/stable/tool/{toolID}/move
Move tool
curl --request POST \
--url https://realtime-api.voiceflow.com/v1/stable/tool/<toolID>/move \
--header 'Authorization: Bearer <token>'
--header 'Content-Type: application/json' \
--data '{
"type": "api",
"target": {
"global": true,
"playbookID": "<string>"
}
}'const response = await fetch('https://realtime-api.voiceflow.com/v1/stable/tool/<toolID>/move?projectID=<projectID>&environmentAlias=<environmentAlias>', {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"type": "api",
"target": {
"global": true,
"playbookID": "<string>"
}
}),
});
const data = await response.json();import requests
response = requests.post(
'https://realtime-api.voiceflow.com/v1/stable/tool/<toolID>/move?projectID=<projectID>&environmentAlias=<environmentAlias>',
headers={'Authorization': 'Bearer <token>'},
json={
"type": "api",
"target": {
"global": True,
"playbookID": "<string>"
}
},
)
data = response.json()vf tool move --tool-id <toolID> --project-id <projectID> --environment-alias <environmentAlias> \
< body.json{
"tool": {
"id": "<string>",
"createdAt": "2026-09-10T00:00:00.000Z",
"updatedAt": "2026-09-10T00:00:00.000Z",
"messages": "<StableToolMessages>",
"toolSound": "<ToolNodeDataToolSound>",
"description": "<string>",
"captureInputVariables": {},
"type": "api",
"apiToolID": "<string>",
"asyncExecution": true,
"inputVariables": {},
"captureResponse": {}
}
}Authorizations
Query Parameters
Body
Response
200 - application/jsonShow child attributes
Option 1
Show child attributes
Option 2
Show child attributes
Option 3
Show child attributes
Option 4
Show child attributes
Was this page helpful?
Thanks for your feedback.